body {
    margin: 0 auto;
    font-family: "Noto Sans JP";
    color: var(--text-color);
}

img {
    max-width: 100%;
    height: auto;
}

.inner {
    width: 1100px;
    max-width: calc(335 / 375 * 100vw);
    margin: 0 auto;
}

.container {
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
}

html {
    scroll-behavior: smooth;
}

:root {
    --text-color: #333333;
    --main-color: #2d64c8;
    --sub-color: #ffffff;
}

a {
    text-decoration: none;
    color: #555;
}

.card__list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 90px 48px;
}

.card__item {
    width: 335px;
    height: 285px;
    position: relative;
}

.card__item.card__item--blog {
    width: 265px;
    height: 299px;
}

.card__link {
    transition: all 0.3s ease;
    position: absolute;
    top: 0;
    left: 0;
}

.card__link:hover {
    top: -10px;
}

.card {
    background: var(--main-color);
    color: var(--sub-color);
    border-radius: 5px;
    box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.25);
}

.card__contents {
    padding: 10px;
}

.card__contents.card__contents--works {
    display: flex;
    justify-content: space-between;
}

.card__ttl {
    font-size: 16px;
    font-weight: 700;
    overflow: hidden;
    line-clamp: 2;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-height: 1.4;
}

.card__ttl.card__ttl--works {
    line-height: normal;
}

.card__product {
    min-height: 34px;
    display: flex;
    justify-content: space-between;
    margin-top: 15px;
}

.card__productName {
    font-size: 12px;
    font-weight: 500;
}

.card__productList {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.card__productItem {
    font-size: 12px;
    font-weight: 500;
    position: relative;
}

.card__productItem::before {
    content: "";
    width: 3px;
    height: 3px;
    border-radius: 50%;
    background: var(--sub-color);
    position: absolute;
    top: 50%;
    left: -10px;
    transform: translateY(-50%);
}

.pagenation .nav-links {
    display: flex;
    justify-content: center;
    gap: 0;
}

.pagenation .page-numbers {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    color: var(--main-color);
    font-size: 20px;
    font-weight: 700;
}

.pagenation .page-numbers.current {
    color: var(--sub-color);
    background: var(--main-color);
}

.wp-pagenavi {
    clear: both;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

.wp-pagenavi a,
.wp-pagenavi span {
    text-decoration: none;
    color: #4466cc;
    font-size: clamp(1.25rem, 0.927rem + 1.379vw, 1.875rem);
    font-weight: bold;
    border: none !important;
    width: clamp(1.875rem, 1.228rem + 2.759vw, 3.125rem);
    height: clamp(1.875rem, 1.228rem + 2.759vw, 3.125rem);
    border-radius: 50%;
    background: var(--sub-color);
    display: flex;
    justify-content: center;
    align-items: center;
}

.wp-pagenavi span.current {
    background-color: #4466cc;
    color: #ffffff;
    border-radius: 50%;
}

.wp-pagenavi a:hover {
    opacity: 0.6;
}

.buttons__container {
    display: flex;
    justify-content: center;
    margin-top: clamp(4.375rem, 3.275rem + 4.695vw, 7.5rem);
    margin-bottom: clamp(83px, 0.657vw + 80.535px, 90px);
}

* {
    box-sizing: border-box;
}

.btn {
    color: var(--sub-color);
    text-align: center;
    font-family: "Noto Sans JP";
    font-size: 16px;
    font-weight: 700;
    line-height: 145.097%;
    position: relative;
    display: inline-block;
    justify-content: center;
    align-content: center;
    width: 170px;
    height: 40px;
    z-index: 1;
    border: 0;
    outline: 0;
    cursor: pointer;
    @media screen and (max-width: 767px) {
        font-size: 14px;
        width: 130px;
        height: 35px;
    }
}

.btn:hover,
.btn:focus {
    color: var(--sub-color);
    text-decoration: none;
}

.btn .hover {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    overflow: hidden;
    border-radius: 20px;
}

.btn .hover span {
    position: relative;
    display: block;
    left: -15px;
    height: 10px;
    width: 0;
    content: "";
}

.btn .hover span:after {
    position: absolute;
    display: block;
    right: -10px;
    width: 10px;
    height: 10px;
    background: var(--sub-color);
    content: "";
}

.btn .hover span:nth-child(odd):after {
    background: rgba(0, 0, 0, 0.35);
}

.btn .hover span:first-child {
    left: -75px;
    transition: all 0.3s steps(8);
}

.btn .hover span:nth-child(2) {
    left: -45px;
    transition: all 0.325s steps(8);
}

.btn .hover span:nth-child(3) {
    left: -55px;
    transition: all 0.35s steps(8);
}

.btn .hover span:nth-child(4) {
    transition: all 0.4s steps(8);
}

.btn .hover span:nth-child(5) {
    left: -25px;
    transition: all 0.375s steps(8);
}

.btn:hover .hover span:first-child,
.btn:focus .hover span:first-child {
    width: calc(100% + 76px);
}

.btn:hover .hover span:first-child:after,
.btn:focus .hover span:first-child:after {
    animation: whiteBlack 0.3s 0s 1;
}

.btn:hover .hover span:nth-child(2),
.btn:focus .hover span:nth-child(2) {
    width: calc(100% + 46px);
    transition: all 0.375s steps(8);
}

.btn:hover .hover span:nth-child(2):after,
.btn:focus .hover span:nth-child(2):after {
    animation: whiteBlack 0.3s 0.06s 1 reverse backwards;
}

.btn:hover .hover span:nth-child(3),
.btn:focus .hover span:nth-child(3) {
    width: calc(100% + 56px);
    transition: all 0.35s steps(8);
}

.btn:hover .hover span:nth-child(3):after,
.btn:focus .hover span:nth-child(3):after {
    animation: whiteBlack 0.3s 0.05s 1 forwards;
}

.btn:hover .hover span:nth-child(4),
.btn:focus .hover span:nth-child(4) {
    width: calc(100% + 16px);
    transition: all 0.3s steps(8);
}

.btn:hover .hover span:nth-child(4):after,
.btn:focus .hover span:nth-child(4):after {
    animation: whiteBlack 0.3s 0s 1 reverse backwards;
}

.btn:hover .hover span:nth-child(5),
.btn:focus .hover span:nth-child(5) {
    width: calc(100% + 26px);
    transition: all 0.325s steps(8);
}

.btn:hover .hover span:nth-child(5):after,
.btn:focus .hover span:nth-child(5):after {
    animation: whiteBlack 0.3s 0.07s 1 forwards;
}

.btn.blue {
    background: var(--main-color);
    border-radius: 20px;
}

.btn.blue span,
.btn.blue:after {
    background: #214991;
}

@keyframes whiteBlack {
    0%,
    24% {
        background: #fff;
    }

    25%,
    49% {
        background: rgba(0, 0, 0, 0.35);
    }

    50%,
    74% {
        background: #fff;
    }

    75%,
    100% {
        background: rgba(0, 0, 0, 0.35);
    }
}

.n2-ss-slider.n2-ow {
    box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.25);
}

.header {
    border-bottom: 2px solid #d9d9d9;
}

.header__inner {
    height: 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header__navList {
    display: flex;
    gap: 50px;
    @media screen and (max-width: 767px) {
        display: none;
    }
}

.header__navItem {
    transition: opacity 0.3s;
}

.header__navItem:hover {
    opacity: 0.6;
}

.header__navLink {
    font-size: 28px;
    font-weight: 500;
}

.p-drawerIcon-wrap {
    @media screen and (min-width: 768px) {
        display: none;
    }
}

.p-drawerIcon {
    position: fixed;
    width: 80px;
    height: 80px;
    top: 0;
    right: 0;
    z-index: 300;
    display: none;
    background-image: linear-gradient(to top, var(--sub-color), var(--sub-color));
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
    border-bottom-left-radius: 3px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.p-drawerIcon.isActive {
    background: var(--sub-color);
}

.p-drawerIcon.isActive .p-drawerIcon__bar1 {
    transform: rotate(-45deg);
    top: 12px;
    background: var(--main-color);
}

.p-drawerIcon.isActive .p-drawerIcon__bar2 {
    display: none;
}

.p-drawerIcon.isActive .p-drawerIcon__bar3 {
    transform: rotate(45deg);
    top: 12px;
    background: var(--main-color);
}

.p-drawerIcon__bars {
    width: 28px;
    height: 24px;
    display: block;
    position: relative;
}

.p-drawerIcon__bar1,
.p-drawerIcon__bar2,
.p-drawerIcon__bar3 {
    position: absolute;
    width: 28px;
    height: 2px;
    background: var(--main-color);
    left: 0;
    transition: 0.3s;
}

.p-drawerIcon__bar1 {
    top: 0;
}

.p-drawerIcon__bar2 {
    top: 12px;
}

.p-drawerIcon__bar3 {
    top: 24px;
}

.p-drawerContent {
    background: rgba(255, 255, 255, 0.8);
    width: 100%;
    height: 100vh;
    right: 0;
    top: 0;
    position: fixed;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.16);
    z-index: 299;
    transform: translateX(-100%);
    transition: transform 0.3s ease-in-out;
}

.p-drawerContent {
    transform: translateX(-100%);
    transition: transform 0.3s ease-in-out;
}

.p-drawerContent.open {
    transform: translateX(0);
}

.p-drawerContent.isActive {
    transform: translateX(0);
}

.p-drawerContent__list {
    padding-top: 100px;
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.p-drawerContent__item {
    font-size: 28px;
    font-weight: 500;
    margin: 0 auto;
    transition: opacity 0.3s;
}

.p-drawerContent__item:hover {
    opacity: 0.6;
}

.p-drawerContent__item:last-of-type {
    border-bottom: none;
}

.p-drawerBackground {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 5;
}

.p-drawerBackground.isActive {
    opacity: 1;
    visibility: visible;
}

.p-drawerBackground.show {
    display: block;
}

.header__iconList {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-left: 500px;
    @media screen and (max-width: 550px) {
        margin-left: 300px;
    }
}

.header__iconText {
    writing-mode: vertical-rl;
    font-feature-settings: "vert" on;
    font-size: 16px;
    font-weight: 400;
}

.header__iconBorder {
    margin-top: 15px;
}

.header__iconBorder::after {
    content: "|";
}

.header__iconImg {
    margin-top: 30px;
}

.mv {
    background: url(../img/mv-01.jpg) no-repeat center center / cover;
    height: 650px;
}

.mv__txtWrap {
    height: 85%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.mv__txtImgWrap {
    background: var(--sub-color);
    border-radius: 10px;
    padding: 10px 20px 20px 20px;
}

.mv__txtImg {
    width: clamp(160px, 138.873px + 5.634vw, 220px);
    height: clamp(32px, 27.775px + 1.127vw, 44px);
}

.mv__ttlImg {
    width: clamp(320px, 298.873px + 5.634vw, 380px);
    height: clamp(64px, 59.775px + 1.127vw, 76px);
}

.mv__subTtl {
    text-align: center;
}

.mv__subTtlImg {
    width: clamp(211px, 205.718px + 1.408vw, 226px);
    height: clamp(56px, 54.592px + 0.376vw, 60px);
}

.mv__btnWrap {
    margin-top: -100px;
}

.mv__btn {
    border-radius: 35px;
    font-size: clamp(16px, 14.592px + 0.376vw, 20px);
    width: clamp(215px, 199.155px + 4.225vw, 260px);
    height: clamp(45px, 43.239px + 0.469vw, 50px);
    @media screen and (max-width: 767px) {
        border-radius: 20px;
    }
}

.works {
    margin-top: 40px;
    @media screen and (max-width: 767px) {
        margin-top: 30px;
    }
}

.works__ttlWrap {
    height: 100px;
    border: 2px solid var(--main-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    @media screen and (max-width: 767px) {
        flex-direction: column;
        align-items: flex-start;
    }
}

.works__ttlWrap::after {
    content: "";
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background: url(../img/arrow_02.svg) no-repeat center center / contain;
    opacity: 0;
    position: absolute;
    top: calc(50% + 5px);
    right: 20px;
    transform: translateY(-50%);
    opacity: 1;
    transition: all 0.3s ease;
    @media screen and (max-width: 767px) {
        top: 67px;
        left: 270px;
    }
}

.works__ttlWrap:hover::after {
    opacity: 0;
    top: 50%;
    @media screen and (max-width: 767px) {
        top: 67px;
        left: 291px;
    }
}

.works__ttl {
    width: clamp(132px, 95.38px + 9.765vw, 236px);
    padding-right: 60px;
    border-right: 3px dashed var(--main-color);
    @media screen and (max-width: 767px) {
        border: 0px;
        padding-right: 0;
    }
}

.works__ttlImg {
    height: clamp(48px, 42.366px + 1.502vw, 64px);
    padding-left: 35px;
    @media screen and (max-width: 767px) {
        padding: 10px 0 5px 25px;
    }
}

.works__subTtl {
    padding-right: 50px;
    transition: all 0.3s ease;
    position: relative;
    top: 5px;
    left: 0;
    @media screen and (max-width: 767px) {
        margin: 0 0 25px 25px;
        padding-right: 0;
    }
}

.works__subTtl:hover {
    top: 2px;
    @media screen and (max-width: 767px) {
        top: 5%;
        left: 20px;
    }
}

.works__ttlWrap .works__subTtl::after {
    content: "";
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background: url(../img/arrow_01.svg) no-repeat center center / contain;
    opacity: 0;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    transition: all 0.3s ease;
    @media screen and (max-width: 767px) {
        top: 50%;
        right: -30px;
    }
}

.works__ttlWrap:hover .works__subTtl::after {
    opacity: 1;
}

.works__categoryTtlWrap {
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 500;
    margin-top: 60px;
    margin-bottom: 40px;
    @media screen and (max-width: 767px) {
        margin-bottom: 30px;
    }
}

.works__categoryTtl {
    font-size: clamp(20px, 17.183px + 0.751vw, 28px);
    padding-right: 20px;
}

.works__categoryTtlWrapTop {
    margin-top: 100px;
    @media screen and (max-width: 767px) {
        margin-top: 85px;
    }
}

.works__categoryBtn {
    width: 24px;
    height: 24px;
    border-radius: 20px;
    background-color: var(--main-color);
    display: flex;
    justify-content: center;
    align-items: center;
}

.works__btn {
    margin-top: 70px;
}

.blog {
    margin-top: 150px;
    @media screen and (max-width: 767px) {
        margin-top: 100px;
    }
}

.blog__ttlWrap {
    height: 100px;
    border: 2px solid var(--main-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    @media screen and (max-width: 767px) {
        flex-direction: column;
        align-items: flex-start;
    }
}

.blog__ttlWrap::after {
    content: "";
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background: url(../img/arrow_02.svg) no-repeat center center / contain;
    opacity: 0;
    position: absolute;
    top: calc(50% + 5px);
    right: 20px;
    transform: translateY(-50%);
    opacity: 1;
    transition: all 0.3s ease;
    @media screen and (max-width: 767px) {
        top: 67px;
        left: 239px;
    }
}

.blog__ttlWrap:hover::after {
    opacity: 0;
    top: 50%;
    @media screen and (max-width: 767px) {
        top: 67px;
        left: 259px;
    }
}

.blogs__ttl {
    width: clamp(99px, 50.761px + 12.864vw, 236px);
    padding-right: 60px;
    border-right: 3px dashed var(--main-color);
    @media screen and (max-width: 767px) {
        border: 0px;
        padding-right: 0;
    }
}

.blog__ttlImg {
    height: clamp(48px, 42.366px + 1.502vw, 64px);
    padding-left: 35px;
    @media screen and (max-width: 767px) {
        padding: 10px 0 5px 25px;
    }
}

.blog__subTtl {
    padding-right: 50px;
    position: relative;
    transition: all 0.3s ease;
    top: 5px;
    left: 0;
    @media screen and (max-width: 767px) {
        margin: 0 0 25px 25px;
        padding-right: 0;
    }
}

.blog__subTtl:hover {
    top: 2px;
    @media screen and (max-width: 767px) {
        top: 5px;
        left: 20px;
    }
}

.blog__ttlWrap .blog__subTtl::after {
    content: "";
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background: url(../img/arrow_01.svg) no-repeat center center / contain;
    opacity: 0;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    transition: all 0.3s ease;
    @media screen and (max-width: 767px) {
        top: 50%;
        right: -30px;
    }
}

.blog__ttlWrap:hover .blog__subTtl::after {
    opacity: 1;
}

.blog__newTtl {
    width: clamp(200px, 147.183px + 14.085vw, 350px);
    font-size: 20px;
    font-weight: 500;
    text-align: center;
    border-top: 1px dotted var(--main-color);
    border-bottom: 1px dotted var(--main-color);
    margin: 75px auto 0;
    padding: 40px 0;
}

.card__list--blogTop {
    margin-top: 70px;
}

.blog__btn {
    margin-top: 70px;
}

.about {
    margin-top: 120px;
    margin-bottom: 80px;
    @media screen and (max-width: 767px) {
        margin-top: 95px;
        margin-bottom: 65px;
    }
}

.about__subTtl {
    font-size: clamp(16px, 14.592px + 0.376vw, 20px);
}

.about__ttl {
    font-size: clamp(24px, 18.366px + 1.502vw, 40px);
    font-weight: 500;
}

.about__ttlTxt {
    font-size: clamp(20px, 14.366px + 1.502vw, 36px);
    font-weight: 400;
    width: clamp(175px, 113.38px + 16.432vw, 350px);
    border-bottom: 3px solid var(--main-color);
    margin-top: 25px;
    padding-bottom: 10px;
    @media screen and (max-width: 767px) {
        margin-top: 15px;
        padding-bottom: 5px;
    }
}

.about__txtWrap {
    margin-top: 35px;
    @media screen and (max-width: 767px) {
        margin-top: 30px;
    }
}

.about__txt {
    font-size: clamp(14px, 12.592px + 0.376vw, 18px);
    line-height: 1.8;
}

.about__txtTop {
    margin-top: 10px;
}

.footer {
    border-top: 2px solid #d9d9d9;
    padding-top: 30px;
    @media screen and (max-width: 767px) {
        border-top: 0px;
        padding-top: 0;
    }
}

.footer__inner {
    display: flex;
    justify-content: space-between;
    @media screen and (max-width: 767px) {
        justify-content: center;
    }
}

.footer__logo {
    @media screen and (max-width: 767px) {
        display: none;
    }
}

.footer__navList {
    display: flex;
    gap: 30px;
    @media screen and (max-width: 767px) {
        display: none;
    }
}

.footer__navItem {
    transition: opacity 0.3s;
}

.footer__navItem:hover {
    opacity: 0.6;
}

.footer__navLink {
    font-size: clamp(1.125rem, 0.696rem + 0.893vw, 1.5rem);
    font-weight: 500;
}

.footer__iconList {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 35px;
    margin-top: 20px;
}

.footer__copyInner {
    background: var(--main-color);
    height: clamp(36px, 31.07px + 1.315vw, 50px);
    margin-top: 40px;
    @media screen and (max-width: 767px) {
        margin-top: 60px;
    }
}

.footer__copy {
    color: var(--sub-color);
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    font-weight: 400;
}

#page-top a {
    bottom: 10%;
    padding: 20px;
    position: fixed;
    right: 3%;
    @media screen and (max-width: 1300px) {
        right: 0%;
        padding: 10px;
    }
    @media screen and (max-width: 767px) {
        display: none;
    }
}

.page__topBtn {
    display: none;
}

.works__nav {
    margin-top: 50px;
}

.works__navInner {
    width: 1100px;
    max-width: calc(335 / 375 * 100vw);
    margin: 0 auto;
    @media screen and (max-width: 767px) {
        max-width: 100%;
    }
}

.works__navList {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    place-items: center;
    border-left: 3px solid var(--main-color);
    border-bottom: 3px solid var(--main-color);
    @media screen and (max-width: 767px) {
        grid-template-columns: repeat(2, 1fr);
    }
}

.works__navItem {
    width: 100%;
    border: 3px solid var(--main-color);
    border-left: 0px;
    border-bottom: 0px;
}

.works__navBtn {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--main-color);
    background: var(--sub-color);
    font-size: clamp(0.875rem, 0.3578rem + 2.2069vw, 1.875rem);
    padding: 15px 0;
    transition: all 0.3s ease;
}

.works__navBtn:hover {
    color: var(--sub-color);
    background: var(--main-color);
}

.term-website .works__navBtn--website {
    color: var(--sub-color);
    background: var(--main-color);
}

.term-movie .works__navBtn--movie {
    color: var(--sub-color);
    background: var(--main-color);
}

.term-graphic .works__navBtn--graphic {
    color: var(--sub-color);
    background: var(--main-color);
}
.term-others .works__navBtn--others {
    color: var(--sub-color);
    background: var(--main-color);
}

.worksCotents__ttl {
    width: clamp(8.25rem, 6.828rem + 6.069vw, 11rem);
    margin: 78px auto 0;
    @media screen and (max-width: 767px) {
        margin-top: 30px;
    }
}

.works__ttlImg {
    width: 100%;
}

.worksContents__text {
    font-size: clamp(0.875rem, 0.746rem + 0.552vw, 1.125rem);
    font-weight: 500;
    text-align: center;
    margin-top: 32px;
}

.worksContents__selectBtnWrap {
    display: flex;
    justify-content: end;
    margin-top: 60px;
    position: relative;
    @media screen and (max-width: 767px) {
        margin-right: 20px;
        margin-top: 30px;
    }
}

.worksContents__selectBtnWrap::after {
    content: "";
    background: url(../img/drop_arrow_01.svg) no-repeat center center / contain;
    width: clamp(0.75rem, 0.491rem + 1.103vw, 1.25rem);
    aspect-ratio: 10 / 18;
    object-fit: cover;
    position: absolute;
    top: 50%;
    right: 67px;
    transform: translateY(-50%);
    @media screen and (max-width: 767px) {
        right: 23px;
    }
}

.worksContents__selectBtn {
    display: flex;
    justify-content: center;
    text-align: center;
    padding: 15px 101px 14px 47px;
    background: var(--main-color);
    color: var(--sub-color);
    font-size: 24px;
    font-weight: 500;
    @media screen and (max-width: 767px) {
        font-size: 14px;
        padding: 5px 44px 6px 28px;
    }
}

.selectBtn__generation {
    display: flex;
    justify-content: center;
    align-items: center;
}

.works__card {
    margin-top: 120px;
}

.works__pagenation {
    margin: 110px 0 87px;
}

.worksDetail {
    margin-top: 59px;
}

.worksDetail__inner {
    margin: 0 auto;
}

.worksDetail__ttl {
    font-size: clamp(1.375rem, 1.052rem + 1.379vw, 2rem);
    font-weight: 700;
    letter-spacing: 1.5px;
    padding-left: 20px;
    position: relative;
}

.worksDetail__ttl::before {
    content: "";
    background: var(--main-color);
    width: 4px;
    height: clamp(2.813rem, 2.489rem + 1.379vw, 3.438rem);
    border-radius: 2px;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
}

.worksDetail__swiper {
    margin-top: 51px;
}

.worksDetail__img {
    width: 100%;
    aspect-ratio: 11/5;
    object-fit: cover;
    box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.25);
}

.worksDetail__creator {
    font-size: clamp(1rem, 0.871rem + 0.552vw, 1.25rem);
    padding-left: 15px;
    margin-top: 65px;
}

.worksDetail__date {
    font-size: clamp(1rem, 0.871rem + 0.552vw, 1.25rem);
    padding-left: 15px;
    margin-top: 15px;
}

.worksDetail__subTtl {
    font-size: clamp(1rem, 0.741rem + 1.103vw, 1.5rem);
    font-weight: 500;
    padding-left: 15px;
}

.worksDetail__subTtl--site {
    margin-top: 65px;
    position: relative;
}

.worksDetail__subTtl--site::after {
    content: "";
    background: var(--main-color);
    width: clamp(6.25rem, 1.401rem + 20.69vw, 15.625rem);
    height: 1px;
    position: absolute;
    bottom: 1px;
    left: 70px;
}

.worksDetail__site {
    display: inline-block;
    font-size: clamp(0.875rem, 0.681rem + 0.828vw, 1.25rem);
    padding-left: 15px;
    margin-top: 32px;
}

.worksDetail__siteLink {
    display: inline-block;
    font-size: clamp(0.875rem, 0.681rem + 0.828vw, 1.25rem);
    padding-left: 15px;
    margin-top: 32px;
    opacity: 1;
    transition: opacity 0.3s;
    text-decoration: underline;
}

.worksDetail__siteLink:hover {
    opacity: 0.6;
}

.worksDetail__subTtl--tools {
    margin-top: 63px;
    position: relative;
}

.worksDetail__subTtl--tools::after {
    content: "";
    background: var(--main-color);
    width: clamp(6.25rem, 1.401rem + 20.69vw, 15.625rem);
    height: 1px;
    position: absolute;
    bottom: 1px;
    left: 149px;
}

.worksDetail__toolList {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px 20px;
    padding-left: 15px;
    margin-top: 25px;
    @media screen and (max-width: 900px) {
        grid-template-columns: repeat(2, 1fr);
    }
    @media screen and (max-width: 550px) {
        grid-template-columns: repeat(1, 1fr);
    }
}

.worksDetail__toolItem {
    font-size: clamp(1rem, 0.891rem + 0.523vw, 1.25rem);
    padding-left: 30px;
    position: relative;
}

.worksDetail__toolItem::before {
    content: "";
    width: 10px;
    height: 10px;
    background: #2d64c8;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
}

.worksDetail__pointTtl {
    font-size: clamp(1.125rem, 0.802rem + 1.379vw, 1.75rem);
    font-weight: 700;
    padding-left: 15px;
    position: relative;
}

.worksDetail__pointTtl::after {
    content: "";
    background: var(--main-color);
    width: clamp(9.375rem, 8.405rem + 4.138vw, 11.25rem);
    height: 2px;
    position: absolute;
    bottom: -10px;
    left: 15px;
}

.worksDetail__pointText {
    padding-left: 15px;
}

.worksDetail__pointTtl--here {
    margin-top: 70px;
}

.worksDetail__pointText--here {
    margin-top: 25px;
}

.worksDetail__pointTtl--secret {
    margin-top: 50px;
}

.worksDetail__pointText--secret {
    margin-top: 30px;
}

.worksDetail__pointTtl--free {
    margin-top: 50px;
}

.worksDetail__pointFree {
    margin-top: 30px;
    margin-left: 15px;
}

.worksDetail__contents {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin: 56px 15px;
}

.worksDetail__contents h1 {
    font-size: clamp(1.125rem, 0.802rem + 1.379vw, 1.75rem);
    font-weight: 700;
    position: relative;
}

.worksDetail__contents h1::after {
    content: "";
    background: var(--main-color);
    width: clamp(9.375rem, 8.405rem + 4.138vw, 11.25rem);
    height: 2px;
    position: absolute;
    bottom: -10px;
    left: 0;
}

.worksDetail__contents h2 {
    font-size: clamp(1.125rem, 0.802rem + 1.379vw, 1.75rem);
    font-weight: 700;
    position: relative;
}

.worksDetail__contents h2::after {
    content: "";
    background: var(--main-color);
    width: clamp(9.375rem, 8.405rem + 4.138vw, 11.25rem);
    height: 2px;
    position: absolute;
    bottom: -10px;
    left: 0;
}

.worksDetail__contents h3 {
    font-size: clamp(1.125rem, 0.802rem + 1.379vw, 1.75rem);
    font-weight: 700;
    position: relative;
}

.worksDetail__contents h3::after {
    content: "";
    background: var(--main-color);
    width: clamp(9.375rem, 8.405rem + 4.138vw, 11.25rem);
    height: 2px;
    position: absolute;
    bottom: -10px;
    left: 0;
}

.worksDetail__contents p {
    font-size: 16px;
    line-height: 150%;
    letter-spacing: 0.36px;
}

.worksDetail__contents ul {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.worksDetail__contents li {
    font-size: 16px;
    padding-left: 30px;
    position: relative;
}

.worksDetail__contents li::before {
    content: "";
    width: 10px;
    height: 10px;
    background: #2d64c8;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 5px;
    transform: translateY(-50%);
}

.worksDetail__contents a {
    color: var(--main-color);
    font-size: 16px;
    line-height: 150%;
    letter-spacing: 0.36px;
    text-decoration: underline;
    transition: opacity 0.3s ease;
    opacity: 1;
}

.worksDetail__contents a:hover {
    opacity: 0.6;
}

.worksDetail__contents img {
    width: 100%;
    max-width: 600px;
    border-radius: 15px;
    object-fit: cover;
}

.blogPage__ttl {
    color: var(--text-color);
    text-align: center;
    padding-top: clamp(13px, 0.47vw + 11.24px, 18px);
    padding-bottom: clamp(13px, 0.47vw + 11.24px, 18px);
    margin-top: clamp(30px, calc(6.573vw + 5.344px), 100px);
}

.blogPage__subTtl {
    color: #333;
    text-align: center;
    font-family: "Noto Sans JP";
    font-size: 18px;
    font-weight: 500;
}

.blogPage__inner {
    margin-bottom: clamp(95px, calc(1.877vw + 87.96px), 115px);
}

.blogPage__img {
    width: 132px;
    height: auto;
}

.blog__ttl {
    color: #333;
    text-align: center;
    font-family: "Noto Sans JP";
    font-size: 24px;
    font-weight: 700;
    letter-spacing: 1.2px;
    padding-top: clamp(20px, calc(1.877vw + 12.986px), 40px);
    padding-bottom: clamp(20px, calc(1.877vw + 12.986px), 40px);

    margin: 0 auto;
    width: 350px;
    border-top: 1px dotted var(--main-color);
    border-bottom: 1px dotted var(--main-color);
}

.blogPage__img {
    width: 132px;
    height: auto;
}

.blogCard__ttl {
    color: #333;
    text-align: center;
    font-family: "Noto Sans JP";
    font-size: 24px;
    font-weight: 700;
    letter-spacing: 1.2px;
    padding-top: clamp(20px, calc(1.877vw + 12.986px), 40px);
    padding-bottom: clamp(20px, calc(1.877vw + 12.986px), 40px);
    margin: 0 auto;
    margin-top: clamp(60px, calc(2.817vw + 49.436px), 90px);
    margin-bottom: clamp(60px, 0.94vw + 56.48px, 70px);
    width: 350px;
    border-top: 1px dotted var(--main-color);
    border-bottom: 1px dotted var(--main-color);
    @media screen and (max-width: 767px) {
        width: 200px;
    }
}

.card__list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    place-items: center;
    @media screen and (max-width: 1240px) {
        grid-template-columns: repeat(2, 1fr);
    }
    @media screen and (max-width: 810px) {
        grid-template-columns: repeat(1, 1fr);
    }
}

.card__item {
    max-width: 335px;
}

.card__imgWrap {
    width: 335px;
    height: 189px;
    border-radius: 5px 5px 0 0;
    overflow: hidden;
}

.card__imgWrap.card__imgWrap--blog {
    width: 265px;
    height: 189px;
}

.card__list--blog {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 60px 14px;
    @media screen and (max-width: 767px) {
        grid-template-columns: repeat(2, 1fr);
        gap: 60px 15px;
    }
}

.card__img {
    height: 100%;
    aspect-ratio: 335/189;
    object-fit: cover;
}

.card__img.card__img--blog {
    height: 100%;
    aspect-ratio: 265/189;
    object-fit: cover;
}

.card__contents {
    min-height: 96px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.card__contents--blog {
    min-height: 110px;
    padding: 8px 10px;
    @media screen and (max-width: 767px) {
        min-height: 100px;
    }
}

.card__product--blog {
    color: #fff;
    font-family: "Noto Sans JP";
    font-size: 12px;
    font-weight: 400;
    display: flex;
    flex-direction: column;
    align-items: end;
    gap: 5px;
}

.card__productName {
    text-align: right;
}

.card__productDate {
    margin-top: auto;
}

.textLeft {
    margin-left: clamp(5px, calc(1.877vw - 2.038px), 25px);
}

.blogDetailTop__ttl {
    color: var(--text-color);
    font-family: "Noto Sans JP";
    font-size: clamp(22px, calc(0.939vw + 18.473px), 32px);
    font-weight: 700;
    letter-spacing: 1.6px;
    margin-top: clamp(38px, calc(0.02874vw + 27.28px), 68px);
    padding-bottom: clamp(41px, calc(1.69vw + 34.663px), 59px);
}

.detailsWrap h2:not(:first-of-type) {
    margin-top: clamp(50px, calc(3.568vw + 36.62px), 88px);
}

.swiper-pagination-horizontal {
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: center;
}

.swiper-pagination-bullet {
    width: 10px;
    height: 10px;
    background-color: #96b1e3;
    opacity: 1;
}

.swiper-pagination-bullet-active {
    background-color: var(--main-color);
}

.swiper-pagination-bullets.swiper-pagination-horizontal {
    bottom: -25px;
}

.container {
    max-width: 1100px;
    position: relative;
}

.blogDetailTop__img {
    width: 100%;
    aspect-ratio: 11/5;
    object-fit: cover;
    box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.25);
}

.blogDetailTop__textBox {
    color: var(--text-color);
    font-family: "Noto Sans JP";
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.blogDetailTop__text {
    margin-left: clamp(5px, calc(1.877vw - 2.038px), 25px);
    font-size: clamp(14px, calc(0.376vw + 12.59px), 18px);
    line-height: 1.5;
    letter-spacing: 0.9px;
    margin-top: 30px;
}

.blogDetailTop__textBox--primary {
    font-size: clamp(16px, calc(0.188vw + 15.295px), 18px);
    display: flex;
    flex-direction: column;
    gap: clamp(8px, calc(0.657vw + 5.539px), 15px);
    margin-bottom: clamp(50px, calc(1.408vw + 44.73px), 65px);
}

.blogDetailTop__text--overview {
    line-height: 2.5;
    margin-bottom: clamp(30px, 8.873px + 5.634vw, 90px);
}

.recommended__inner {
    border-radius: 5px;
    padding-top: clamp(5px, 4.648px + 0.094vw, 6px);
    padding-bottom: clamp(25px, 19.718px + 1.408vw, 40px);
    border: 2px solid var(--main-color);
    margin-top: clamp(30px, 8.873px + 5.634vw, 90px);
    @media screen and (max-width: 767px) {
        border: 1px solid var(--main-color);
    }
}

.recommended__ttl {
    text-align: center;
    color: var(--main-color);
    background: rgba(45, 100, 200, 0.5);
    border-radius: 2px 2px 0 0;
    font-family: "Noto Sans JP";
    font-size: clamp(14px, 12.592px + 0.376vw, 18px);
    font-weight: 700;
    line-height: 19px;
    letter-spacing: 0.36px;
    padding: 8px;
    margin-left: 5px;
    margin-right: 5px;
    margin-bottom: clamp(5px, 4.648px + 0.094vw, 6px);
}

.recommended__textBox {
    display: flex;
    flex-direction: column;
    gap: clamp(20px, 16.479px + 0.939vw, 30px);
    padding-top: clamp(25px, 23.239px + 0.469vw, 30px);
    padding-left: clamp(30px, -29.859px + 15.962vw, 200px);
    padding-right: clamp(30px, -29.859px + 15.962vw, 200px);
    border-top: 2px solid var(--main-color);
    color: #333;
    font-family: "Noto Sans JP";
    font-size: clamp(14px, 12.592px + 0.376vw, 18px);
    font-weight: 400;
    line-height: 19px;
    letter-spacing: 0.9px;
    @media screen and (max-width: 767px) {
        border-top: 2px solid var(--main-color);
    }
}

.recommended__textBox li {
    padding-left: clamp(16px, 1.31vw + 11.07px, 30px);
    position: relative;
}

.recommended__textBox li::before {
    content: "";
    width: clamp(6px, calc(0.376vw + 4.58px), 10px);
    height: clamp(6px, calc(0.376vw + 4.58px), 10px);
    background: var(--main-color);
    border-radius: 50%;
    position: absolute;
    top: 0.35em;
    left: 0;
}

.toc {
    margin-top: clamp(50px, calc(1.877vw + 42.96px), 70px);
    margin-bottom: clamp(50px, calc(1.877vw + 42.96px), 70px);
    color: var(--text-color);
    font-family: "Noto Sans JP";
    font-size: clamp(14px, calc(0.376vw + 12.59px), 18px);
    font-weight: 400;
    line-height: 19px;
    line-height: 1.1875;
}

.p-accordion {
    padding-top: clamp(30px, calc(1.877vw + 12.96px), 40px);
    padding-bottom: clamp(30px, calc(1.877vw + 12.96px), 40px);
    border: 3.5px solid rgba(45, 100, 200, 0.5);
}

.toc-ttl {
    color: var(--main-color);
    text-align: center;
    font-family: "Noto Sans JP";
    font-size: 28px;
    font-weight: 500;
    line-height: 19px;
    letter-spacing: 1.4px;
}

.p-accordion__ttl {
    position: relative;
}

.p-accordion__ttl::after {
    content: "CLOSE";
    color: var(--sub-color);
    font-size: 14px;
    width: 60px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--main-color);
    position: absolute;
    top: 0;
    right: clamp(10px, calc(6.103vw - 12.886px), 75px);
}

.p-accordion__ttl.open::after {
    content: "OPEN";
    color: var(--main-color);
    background: var(--sub-color);
    border: 2px solid var(--main-color);
}

.p-accordion__ttlInner {
    font-size: 1.125rem;
    font-weight: 700;
    @media screen and (max-width: 767px) {
        font-size: 0.9rem;
    }
}

.p-accordion__content {
    padding-top: 1.5rem;
    width: 46.3rem;
    font-size: 1rem;
    @media screen and (max-width: 1025px) {
        width: clamp(5rem, 90vw, 46.25rem);
    }
    @media screen and (max-width: 767px) {
        font-size: 0.9rem;
    }
}

.toc-list ul {
    padding-top: clamp(54px, calc(-1.596vw + 77.985px), 71px);
    padding-left: clamp(40px, calc(21.596vw - 40.985px), 270px);
    padding-right: clamp(40px, calc(21.596vw - 40.985px), 270px);
    padding-bottom: clamp(0px, calc(1.315vw - 4.93px), 14px);
    display: flex;
    flex-direction: column;
    gap: clamp(21px, calc(2.441vw + 11.812px), 47px);
}

.toc__dot--square {
    padding-left: clamp(28px, 2.07vw + 20.25px, 50px);
    position: relative;
}

.toc__dot--square::before {
    content: "";
    width: clamp(13px, 0.66vw + 10.54px, 20px);
    height: clamp(13px, 0.66vw + 10.54px, 20px);
    background: var(--main-color);
    position: absolute;
    top: 0;
    left: 0;
}

.tocList-details {
    padding-top: clamp(10px, calc(1.221vw + 5.421px), 23px);
    padding-bottom: clamp(10px, calc(1.221vw + 5.421px), 23px);
    display: flex;
    flex-direction: column;
    gap: clamp(5px, calc(0.469vw + 3.241px), 10px);
}

.tocList__content {
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding-top: clamp(5px, calc(0.469vw + 3.241px), 10px);
}

.toc__dotPrimary--line {
    padding-left: clamp(13px, 1.31vw + 8.07px, 27px);
    position: relative;
}

.toc__dotPrimary--line::before {
    content: "";
    width: clamp(7px, calc(0.469vw + 5.241px), 12px);
    height: clamp(2px, 0.09vw + 1.65px, 3px);
    background: var(--main-color);

    position: absolute;
    top: 10px;
    left: 0;
}

.details {
    font-size: clamp(14px, calc(0.376vw + 12.59px), 18px);
}

.details__container {
    margin-bottom: clamp(75px, calc(4.599vw + 57.754px), 124px);
}

.detailsWrap:not(:first-child) {
    margin-top: clamp(50px, calc(3.568vw + 36.62px), 88px);
}

.toc-container h2 {
    color: var(--sub-color);
    font-weight: 700;
    font-family: "Noto Sans JP";
    font-size: clamp(18px, calc(0.751vw + 15.171px), 26px);
    padding-left: clamp(10px, calc(2.441vw + 0.811px), 36px);
    width: 100%;
    height: 62px;
    background: var(--main-color);
    border-radius: 5px;
    display: flex;
    align-items: center;
}

.toc-container h3 {
    font-size: clamp(18px, calc(0.751vw + 15.171px), 26px);
    text-underline-offset: -100px;
    margin-top: clamp(35px, calc(1.127vw + 30.76px), 47px);
    margin-left: clamp(5px, calc(1.877vw - 2.038px), 25px);
    padding-left: 5px;
    margin-right: 25px;
    position: relative;
    @media screen and (max-width: 767px) {
        margin-right: 0;
    }
}

.toc-container h3::after {
    content: "";
    width: 100%;
    height: 10px;
    background: rgba(45, 100, 200, 0.5);
    position: absolute;
    bottom: -3px;
    left: 0;
}

.toc-container h4 {
    font-size: clamp(16px, calc(0.751vw + 13.171px), 24px);
    margin-top: clamp(25px, calc(1.502vw + 19.37px), 41px);
    margin-left: clamp(5px, calc(1.877vw - 2.038px), 25px);
    padding-left: clamp(30px, calc(1.877vw + 12.96px), 40px);
    position: relative;
}

.toc-container h4::before {
    content: "";
    width: clamp(7px, calc(0.469vw + 5.241px), 12px);
    height: clamp(2px, 0.09vw + 1.65px, 3px);
    background: var(--main-color);
    border-radius: 5px;
    position: absolute;
    top: 1rem;
    left: 0;
    @media screen and (max-width: 767px) {
        top: 0.5rem;
    }
}

.toc-container p {
    margin-top: clamp(25px, calc(1.408vw + 19.74px), 40px);
    padding: 0 30px;
    @media screen and (max-width: 767px) {
        padding: 0 10px;
    }
}

.detailsWrap__itemText {
    margin-top: clamp(25px, calc(23.2488px + 0.4695vw), 30px);
    margin-right: 25px;
    @media screen and (max-width: 767px) {
        margin-right: 75px;
    }
}

.detailsWrap__pointText {
    margin-top: 20px;
    padding-right: 25px;
    @media screen and (max-width: 767px) {
        padding-right: 75px;
    }
}

.blog__pagenation {
    margin-top: clamp(105px, calc(114.4648px - 0.6573vw), 112px);
    margin-bottom: clamp(87px, calc(71.8545px + 4.0376vw), 130px);
}

.category {
    margin-bottom: clamp(107px, calc(1.221vw + 102.41px), 120px);
}

.categoryWrap {
    width: 100%;
    display: flex;
    justify-content: center;
}
.categoryWrap__line--top {
    flex-grow: 1;
    height: 2px;
    background: var(--main-color);
    margin-top: clamp(12px, calc(1.033vw + 8.126px), 23px);
    margin-bottom: clamp(12px, calc(1.033vw + 8.126px), 23px);
}

.category__line--bottom {
    border-bottom: 2px solid var(--main-color);
    padding-bottom: clamp(25px, calc(1.408vw + 19.74px), 40px);
}

.categoryWrap__ttl {
    text-align: center;
}

.category__img {
    width: 45px;
    height: auto;
    @media screen and (max-width: 767px) {
        width: 24px;
    }
}

.category__ttl {
    color: var(--text-color);
    font-family: "Noto Sans JP";
    font-size: 24px;
    font-weight: 700;
    padding-top: clamp(15px, calc(0.282vw + 13.944px), 18px);
}

.category__list {
    margin-top: 30px;
    display: flex;
    flex-wrap: wrap;
    gap: 25px;
    @media screen and (max-width: 767px) {
        gap: 15px;
    }
}

.category__item {
    color: var(--sub-color);
    font-family: "Noto Sans JP";
    font-size: 18px;
    font-weight: 400;
    letter-spacing: 0.54px;
    padding: 7px 17px;
    border-radius: 2px;
    background: #2d64c8;
    @media screen and (max-width: 767px) {
        font-size: 14px;
        padding: 7px 15px;
    }
}

.categoryItem__link {
    color: var(--sub-color);
}
